Page MenuHomePhabricator

Jenkins: Create shell wrapper to setup MySQL database
Closed, ResolvedPublic8 Story Points

Description

To test out automatic MediaWiki release, we would need a MySQL database setup on a per job / per build basis.

To achieve that, a shell sript needs to be written that would use a jenkins user having create database / create user rights. The script would take in parameter a database name, user and password to create, that can later on be used by the Job to initialize the database and run tests with it.

This is a blocker for automatic MediaWiki release and will let us run unit tests using a MySQL database in addition to Sqlite backed tests.

So, that is quite important :-] Have been requested for mw/core PHPunit testing in bug 35912.


Version: wmf-deployment
Severity: enhancement

Details

Reference
bz55788

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 2:39 AM
bzimport set Reference to bz55788.
bzimport added a subscriber: Unknown Object (MLST).
hashar created this task.Oct 16 2013, 1:19 PM

High priority, needs to get that done by end of week.

Back in pool, that is not really a priority right now.

Not a priority

demon removed a subscriber: demon.Dec 16 2014, 6:05 PM
Krinkle raised the priority of this task from Low to High.Mar 18 2015, 1:38 AM
Krinkle set Security to None.

Raising priority per https://phabricator.wikimedia.org/T37912#1078582 and because SQLite is continuing to be unstable and cause critical problems and failing jobs blocking feature development in other departments (eg. T89180).

Krinkle claimed this task.Mar 18 2015, 4:29 PM
Krinkle moved this task from Next to In-progress on the Continuous-Integration-Infrastructure board.
Krinkle removed a subscriber: Unknown Object (MLST).

Change 197710 had a related patch set uploaded (by Krinkle):
mw-setup: Move LocalSettings.php from mw-install-sqlite to mw-setup

https://gerrit.wikimedia.org/r/197710

Change 197710 merged by jenkins-bot:
mw-setup: Move LocalSettings.php from mw-install-sqlite to mw-setup

https://gerrit.wikimedia.org/r/197710

awight added a subscriber: awight.Mar 19 2015, 12:39 AM

Change 197847 had a related patch set uploaded (by Krinkle):
Implement mw-install-mysql and mw-teardown-mysql

https://gerrit.wikimedia.org/r/197847

Change 197847 merged by jenkins-bot:
Implement mw-install-mysql and mw-teardown-mysql

https://gerrit.wikimedia.org/r/197847

Change 197956 had a related patch set uploaded (by Krinkle):
mw-teardown-mysql: Include mw-teardown.sh

https://gerrit.wikimedia.org/r/197956

Change 197956 merged by jenkins-bot:
mw-teardown-mysql: Include mw-teardown.sh

https://gerrit.wikimedia.org/r/197956

Change 197958 had a related patch set uploaded (by Krinkle):
Convert MediaWiki jobs from sqlite to mysql

https://gerrit.wikimedia.org/r/197958

Krinkle closed this task as Resolved.Mar 20 2015, 8:21 AM

The mw-install-mysql.sh is merged and deployed. It is already used by the qunit and qunit-karma jobs. Using it for PHPUnit jobs is T37912.

Jdforrester-WMF moved this task from Nominated to Done on the VisualEditor 2014/15 Q3 blockers board.

Change 197958 merged by jenkins-bot:
mediawiki-core-qunit-karma: Use mysql instead of sqlite

https://gerrit.wikimedia.org/r/197958